import java.io.File;
import java.util.zip.CheckedInputStream;
import java.util.zip.CRC32;
import java.io.FileInputStream;
import java.io.FileNotFoundException;
import java.io.IOException;

class Demo {
	public static void doChecksum(String fileName) {
		try {

			CheckedInputStream cis = new CheckedInputStream(new FileInputStream(fileName), new CRC32());
			File file = new File(fileName);
			long fileSize = file.length();

			byte[] buf = new byte[128];

			while (cis.read(buf) >= 0) 
{
				long checksum = cis.getChecksum().getValue();
				System.out.println("The Value Of checksum is ::" + checksum);
				System.out.println("The Size Of file Is ::" + " " + fileSize);
				System.out.println("Name Of File is ::" + " " + fileName);
			}
		}

		catch (IOException e) {
			e.printStackTrace();
			System.exit(1);
		}

	}
}

public class CheckReadDemo {
	public static void main(String[] args) {

		Demo.doChecksum(args[0]);

	}

}
